## org.apache.commons.collections.functors
Class EqualPredicate

    java.lang.Object
      org.apache.commons.collections.functors.EqualPredicate

All Implemented Interfaces:
  java.io.Serializable, Predicate

    public final class EqualPredicate

extends java.lang.Object
implements Predicate, java.io.Serializable

Predicate implementation that returns true if the input is the same object as the one stored in this predicate by equals.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`EqualPredicate(java.lang.Object object)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(java.lang.Object object)` Evaluates the predicate returning true if the input equals the stored value.
`static Predicate` `getInstance(java.lang.Object object)` Factory to create the identity predicate.
`java.lang.Object` `getValue()` Gets the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EqualPredicate

    public EqualPredicate(java.lang.Object object)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `object` - the object to compare to

Method Detail

### getInstance

    public static Predicate getInstance(java.lang.Object object)

  Factory to create the identity predicate.

  Parameters:
    `object` - the object to compare to
  Returns:
    the predicate
  Throws:
    `java.lang.IllegalArgumentException` - if the predicate is null

### evaluate

    public boolean evaluate(java.lang.Object object)

  Evaluates the predicate returning true if the input equals the stored value.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if input object equals stored value

### getValue

    public java.lang.Object getValue()

  Gets the value.

  Returns:
    the value
  Since:
    Commons Collections 3.1

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.